Page MenuHomePhabricator

Count how often "advanced parameters" was opened
Closed, ResolvedPublic

Description

Motivation
Per default, "advanced parameters" is closed, so first step to using advancedSearch is using it. Let's measure, how often the "advanced parameters" bar is opened.

Acceptance Criteria

  • Measure on a daily basis how often the "advancedparameters" tab was opened.
  • Document the metric in Advanced-Search's metrics.md file
  • Display the number on a dashboard (e.g. Grafana)

Event Timeline

Lea_WMDE created this task.Dec 4 2018, 10:51 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptDec 4 2018, 10:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Dec 18 2018, 12:43 PM
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch moved this task from Backlog to Doing on the WMDE-QWERTY-X-Mas-Sprint-2018-12-18 board.

Change 482647 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Count advanced search expansion

https://gerrit.wikimedia.org/r/482647

Change 482647 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Count advanced search expansion

https://gerrit.wikimedia.org/r/482647

All done and working:

https://grafana.wikimedia.org/d/000000434/mediawiki-advancedsearch

( I also removed the metrics for the betafeature numbers )

Lea_WMDE closed this task as Resolved.Jan 10 2019, 11:11 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-X-Mas-Sprint-2018-12-18 board.